local vector2 = require("#microsoft.xna.framework.vector2")
local coroutineEntity = monocle.Entity()


function onTalk()
    makeUnskippable()
    disableRetry()
    disableMovement()
    player.ForceCameraUpdate = true
    celeste.Audio.SetMusicParam("dialog", 1.0)

    say("MaxAl_TrenAlSur_TrainStart")
end

function onEnd()
    teleport(0,0,"2-Train start cutscene-X","None")
    celeste.Audio.SetMusicParam("dialog", 0.0)
    player.ForceCameraUpdate = false
    enableRetry()
    enableMovement()
end
    